Subject: Re: [patch 7/8] lock validator: fix ns83820.c irq-flags bug

From: Arjan van de Ven <[email-masked]>
Date: Sun, 11 Jun 2006 08:00:14 -0700

Jeff Garzik wrote:
> The driver's locking is definitely wrong, but I don't think this is the 
> fix, 

it's an obvious correct fix in the correctness sense though...

> 
> Jesus, the locking here is awful.  No wonder there are bugs.

... which given that fact, is for 2.6.17 probably the right thing, pending
a nicer fix for 2.6.18

I fully agree with you that the locking is trying to be WAAAY too smart
for it's own good, and that a much simpler scheme is called for.